#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes
{
	#region PluginInfo
	[PluginInfo(Name = "SwapSort", Category = "Value", Version = "1.0", Help = "Basic template with one value in/out", Tags = "")]
	#endregion PluginInfo
	public class C1_0ValueSwapSortNode : IPluginEvaluate
	{
		#region fields & pins
		[Input("InputSpread", DefaultValue = 1.0)]
		public ISpread<double> FInputSpread;
		
		[Input("NewOrder", DefaultValue = 1.0)]
		public ISpread<int> FNewOrder;

		[Output("OutputSpread")]
		public ISpread<double> FOutputSpread;
		
	


		[Import()]
		public ILogger FLogger;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			FOutputSpread.SliceCount = SpreadMax;
			
			for (int i = 0; i < SpreadMax; i++)
			{
			FOutputSpread[i] = FInputSpread[FNewOrder[i]];
			}
		
		}
	}
}
