#region usings
using System;
using System.ComponentModel.Composition;

using VVVV.PluginInterfaces.V1;
using VVVV.PluginInterfaces.V2;
using VVVV.Utils.VColor;
using VVVV.Utils.VMath;

using VVVV.Core.Logging;
#endregion usings

namespace VVVV.Nodes
{
	#region PluginInfo
	[PluginInfo(Name = "PrioOrder", Category = "Value", Version = "1.0", Help = "Basic template with one value in/out", Tags = "")]
	#endregion PluginInfo
	public class C1_0ValuePrioOrderNode : IPluginEvaluate
	{
		#region fields & pins
		[Input("RangeSpread", DefaultValue = 1.0)]
		public ISpread<double> FInput;
		
		[Input("FormerSortIndex", DefaultValue = 1.0)]
		public ISpread<int> FInput2;

		[Output("OutputSpread")]
		public ISpread<double> FOutput;



		[Import()]
		public ILogger FLogger;
		#endregion fields & pins

		//called when data for any output pin is requested
		public void Evaluate(int SpreadMax)
		{
			FOutput.SliceCount = SpreadMax;
			
			for (int i = 0; i < SpreadMax; i++)
			FOutput[FInput2[i]] = FInput[i];
			

			
			//FLogger.Log(LogType.Debug, "hi tty!");
		}
	}
}
